Subject: git-branch: Actually using the current branch as default start-point

From: Martin Nordholts <[email-masked]>
Date: Tue, 16 Jun 2009 21:13:09 +0200

Hi

The git-branch documentation states that the start-point defaults to
the current branch if omitted. I interpret that to mean that

  git checkout origin/somebranch
  git branch newbranch

is equivalent to

  git branch newbranch origin/somebranch

but that is currently not the case. If you checkout a remote branch
then you are not considered to _be_ on the remote branch, so the
start-point will behave as if an arbitrary commit was specified,
i.e. tracking will not be setup correctly.

This is an easy patch and I have something working, I just need to 
finalize it. Does this sound like a sane patch to you?

Best regards,
Martin Nordholts